Bug 31308 - Remove GetItemsInfo from basket/basket
Summary: Remove GetItemsInfo from basket/basket
Status: Pushed to master
Alias: None
Product: Koha
Classification: Unclassified
Component: Architecture, internals, and plumbing (show other bugs)
Version: unspecified
Hardware: All All
: P5 - low enhancement (vote)
Assignee: Jonathan Druart
QA Contact: Nick Clemens
URL:
Keywords:
Depends on: 31306
Blocks: 27272
  Show dependency treegraph
 
Reported: 2022-08-08 14:22 UTC by Jonathan Druart
Modified: 2022-08-16 12:20 UTC (History)
1 user (show)

See Also:
Change sponsored?: ---
Patch complexity: Small patch
Documentation contact:
Documentation submission:
Text to go in the release notes:
Version(s) released in:
22.11.00


Attachments
Bug 31308: Remove GetItemsInfo from basket/basket (5.59 KB, patch)
2022-08-08 14:45 UTC, Jonathan Druart
Details | Diff | Splinter Review
Bug 31308: Remove GetItemsInfo from basket/basket (5.64 KB, patch)
2022-08-08 15:49 UTC, Owen Leonard
Details | Diff | Splinter Review
Bug 31308: Remove GetItemsInfo from basket/basket (5.69 KB, patch)
2022-08-10 11:54 UTC, Nick Clemens
Details | Diff | Splinter Review
Bug 31308: (QA follow-up) use count to see if no items present (1.31 KB, patch)
2022-08-10 11:54 UTC, Nick Clemens
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Jonathan Druart 2022-08-08 14:22:20 UTC
Bug 27272 is going to remove C4::Items::GetItemsInfo in favour of Koha::Items->search_ordered.

Here we are going to deal with basket/basket.pl
Comment 1 Jonathan Druart 2022-08-08 14:45:17 UTC
Created attachment 138816 [details] [review]
Bug 31308: Remove GetItemsInfo from basket/basket

Bug 27272 is going to remove C4::Items::GetItemsInfo in favour of Koha::Items->search_ordered.

Here we are going to deal with basket/basket.pl

Test plan:
List items on the modified view and confirm that all the info is
displayed correctly
Comment 2 Owen Leonard 2022-08-08 15:49:47 UTC
Created attachment 138841 [details] [review]
Bug 31308: Remove GetItemsInfo from basket/basket

Bug 27272 is going to remove C4::Items::GetItemsInfo in favour of
Koha::Items->search_ordered.

Here we are going to deal with basket/basket.pl

Test plan:
List items on the modified view and confirm that all the info is
displayed correctly

Signed-off-by: Owen Leonard <oleonard@myacpl.org>
Comment 3 Nick Clemens 2022-08-10 11:54:07 UTC
Created attachment 138977 [details] [review]
Bug 31308: Remove GetItemsInfo from basket/basket

Bug 27272 is going to remove C4::Items::GetItemsInfo in favour of
Koha::Items->search_ordered.

Here we are going to deal with basket/basket.pl

Test plan:
List items on the modified view and confirm that all the info is
displayed correctly

Signed-off-by: Owen Leonard <oleonard@myacpl.org>

Signed-off-by: Nick Clemens <nick@bywatersolutions.com>
Comment 4 Nick Clemens 2022-08-10 11:54:10 UTC
Created attachment 138978 [details] [review]
Bug 31308: (QA follow-up) use count to see if no items present

Signed-off-by: Nick Clemens <nick@bywatersolutions.com>
Comment 5 Tomás Cohen Arazi 2022-08-16 12:20:49 UTC
Pushed to master for 22.11.

Nice work everyone, thanks!